=== debian/changelog ===
kdepim-runtime (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:41 +0100

kdepim-runtime (4:19.03.70-0ubuntu1) UNRELEASED; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 31 Dec 2018 08:39:43 +0000
