## kdepim-runtime 19.08.3

=== debian/changelog ===
kdepim-runtime (4:19.08.3-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:18.08.3-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 03 Apr 2019 22:53:45 +0000]
  * Remove armhf from architecture list for build-depends on libkpimgapi-dev 
    and qtwebengine5-dev

  [changes brought forward from 4:18.08.3-4+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 04 Apr 2019 13:53:23 +0000]
  * Remove armhf from architecture list for depends on
    libsasl2-modules-kdexoauth2

 -- Raspbian forward porter <root@raspbian.org>  Mon, 09 Dec 2019 19:39:52 +0000

kdepim-runtime (4:19.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * update make_qtwebengine_optional.patch:
    - build facebook and tomboynotes for all archs that have QtWebEngine
    - disable ews for archs that don't have QtWebEngine

 -- Sandro Knauß <hefee@debian.org>  Sun, 01 Dec 2019 11:14:31 +0100

kdepim-runtime (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:34 +0100

kdepim-runtime (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update patches for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:41:26 +0100

kdepim-runtime (4:18.08.3-6) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:51:03 +0100

kdepim-runtime (4:18.08.3-5) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:43:28 +0200
