=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libboost-dev,
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicalendar-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5akonadinotes-dev (>= 4:19.08.3~),
               libkf5alarmcalendar-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5imap-dev (>= 19.08.3~),
               libkf5itemmodels-dev (>= 5.60.0~),
               libkf5kdelibs4support-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mbox-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5notifications-dev (>= 5.60.0~),
               libkf5notifyconfig-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               libkolabxml-dev (>= 1.1~),
               libkpimgapi-dev (>= 19.08.3~) [amd64 arm64 i386 mipsel],
               libkpimkdav-dev (>= 19.08.3~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev (>= 5.11.0~),
               libqt5texttospeech5-dev,
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qtwebengine5-dev (>= 5.11.0~) [amd64 arm64 i386 mipsel],
               shared-mime-info (>= 1.3~),
               xsltproc
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         libsasl2-modules-kdexoauth2 [amd64 arm64 i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends}
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
