## kdepim-runtime 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.11.3")
+set(PIM_VERSION "5.13.3")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
@@ -21,7 +21,7 @@
 #
 # KDEPIM_DEV_VERSION
 # is empty for final versions. For development versions "build" is
-# something like "pre", "", "alpha2", "beta1", "beta2", "rc1", "rc2".
+# something like "pre", "", "alpha", "beta1", "beta2", "rc1", "rc2".
 #
 # Examples in chronological order:
 #
@@ -36,18 +36,19 @@
 #    3.2 pre
 #    3.2 
 
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
+set(KDE_APPLICATIONS_VERSION "19.12.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
+set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
 
 configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.63.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -63,31 +64,27 @@
 include(GenerateExportHeader)
 
 
-set(QT_REQUIRED_VERSION "5.10.0")
+set(QT_REQUIRED_VERSION "5.11.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "5")
-set(AKONADI_VERSION "5.11.3")
+set(AKONADI_VERSION "5.13.3")
 
-set(KCONTACTS_LIB_VERSION "5.11.3")
-set(KCALENDARCORE_LIB_VERSION "5.11.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
-set(CALENDARUTILS_LIB_VERSION "5.11.3")
-set(KDAV_LIB_VERSION "5.11.3")
-set(KIMAP_LIB_VERSION "5.11.3")
-set(KMBOX_LIB_VERSION "5.11.3")
-set(AKONADICALENDAR_LIB_VERSION "5.11.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.11.3")
-set(AKONADIKALARM_LIB_VERSION "5.11.3")
-set(KMIME_LIB_VERSION "5.11.3")
-set(XMLRPCCLIENT_LIB_VERSION "5.11.3")
-set(KCONTACTS_LIB_VERSION "5.11.3")
-set(AKONADIMIME_LIB_VERSION "5.11.3")
-set(AKONADICONTACT_LIB_VERSION "5.11.3")
-set(AKONADINOTE_LIB_VERSION "5.11.3")
-set(PIMCOMMON_LIB_VERSION "5.11.3")
-set(KGAPI_LIB_VERSION "5.11.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.13.3")
+set(KDAV_LIB_VERSION "5.13.3")
+set(KIMAP_LIB_VERSION "5.13.3")
+set(KMBOX_LIB_VERSION "5.13.3")
+set(AKONADICALENDAR_LIB_VERSION "5.13.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
+set(AKONADIKALARM_LIB_VERSION "5.13.3")
+set(KMIME_LIB_VERSION "5.13.3")
+set(AKONADIMIME_LIB_VERSION "5.13.3")
+set(AKONADICONTACT_LIB_VERSION "5.13.3")
+set(AKONADINOTE_LIB_VERSION "5.13.3")
+set(PIMCOMMON_LIB_VERSION "5.13.3")
+set(KGAPI_LIB_VERSION "5.13.3")
 
 set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
@@ -96,7 +93,7 @@
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
 
 find_package(Qca-qt5)
-
+option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 # QT5 package
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED TextToSpeech Network Widgets Test XmlPatterns DBus WebEngineWidgets NetworkAuth)
 if (NOT Qca-qt5_FOUND)
@@ -119,8 +116,6 @@
 find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5KDELibs4Support ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 # KdepimLibs package
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
@@ -130,9 +125,9 @@
 find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG)
+find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
@@ -142,10 +137,14 @@
 find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
+option(NO_REGENERATE_MIME "Don't regenerate mime file (developer-only option)" FALSE )
 
-
-#add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
-
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050D00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053F00)
+endif()
+find_package(Xsltproc)
+set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")
 
 
 add_subdirectory(resources)
@@ -157,10 +156,11 @@
 
 ## install the MIME type spec file for KDEPIM specific MIME types
 install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
-update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+if (NOT NO_REGENERATE_MIME)
+   update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+endif()   
 
-
-install( FILES kdepim-runtime.renamecategories kdepim-runtime.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES kdepim-runtime.renamecategories kdepim-runtime.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL
                 INCLUDE_QUIET_PACKAGES
