=== debian/changelog ===
kdepim-runtime (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Drop included upstream_find_boost_system_and_thread.diff
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:49 +0100

kdepim-runtime (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Add upstream_find_boost_system_and_thread.diff to avoid FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 07 Mar 2020 10:04:12 +0000
